public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Eray Aslan" <eras@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-libs/libverto/
Date: Fri, 13 Dec 2019 06:30:39 +0000 (UTC)	[thread overview]
Message-ID: <1576218617.0172960bd597d0e783d4c2034234d5addae1fbef.eras@gentoo> (raw)

commit:     0172960bd597d0e783d4c2034234d5addae1fbef
Author:     Eray Aslan <eras <AT> gentoo <DOT> org>
AuthorDate: Fri Dec 13 06:30:17 2019 +0000
Commit:     Eray Aslan <eras <AT> gentoo <DOT> org>
CommitDate: Fri Dec 13 06:30:17 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0172960b

dev-libs/libverto: bump to 0.3.1

and cleanup

Package-Manager: Portage-2.3.81, Repoman-2.3.20
Signed-off-by: Eray Aslan <eras <AT> gentoo.org>

 dev-libs/libverto/Manifest              |  1 +
 dev-libs/libverto/libverto-0.3.1.ebuild | 51 +++++++++++++++++++++++++++++++++
 2 files changed, 52 insertions(+)

diff --git a/dev-libs/libverto/Manifest b/dev-libs/libverto/Manifest
index 21ca6f940ac..3bfbe654753 100644
--- a/dev-libs/libverto/Manifest
+++ b/dev-libs/libverto/Manifest
@@ -1,2 +1,3 @@
 DIST libverto-0.2.5.tar.gz 349722 BLAKE2B fd46b1fd1500d4732baa2d461e4b490386ff54efa8a23f06f40048e1624b4698cfedcfda79cc0a21c9a77050baafe8572835f1c0d174873772afe46b199a6294 SHA512 d57a7f86e714d3fbed391984de3356d8a2769f846985769c1be7d881647c1be95a5fc6a82bba1660ef3241aa1a40150b5e005af6f35dc32473facfdea49c556e
 DIST libverto-0.3.0.tar.gz 380822 BLAKE2B 7dd31e62a4f4d8ce5cdb77ba96b9e4c957b117ade67f2fb8d38c98e05334fd952386f5690bbe49eba60c545c02ef99dcf63dee3fb17910589013b2868ee24139 SHA512 af4fec9cd20058c1db404443004c2b6c98bcacd0742369bb91f46dde6a35358e44f659bdfef30ab113e112ac1afb3156b098f5b5e2f4a58d1f4cd949abf0f57f
+DIST libverto-0.3.1.tar.gz 383390 BLAKE2B 2d8366d85c2a02becf8fa9224d195a8d85f64aab735a0101997a52dd99750537b181a6dd2fc494b435b949b4a9cb785acb7222ba3f2424b7a7ddcf5d3c832387 SHA512 baef4fd280e0cb30167743608fd5a950fb4340eeb89e3630a0f63f8eab4d56f0f894a2e3283583b7ed8774d5e896c44e2c68c25882d95a07350f980af36b8740

diff --git a/dev-libs/libverto/libverto-0.3.1.ebuild b/dev-libs/libverto/libverto-0.3.1.ebuild
new file mode 100644
index 00000000000..382aef72f9d
--- /dev/null
+++ b/dev-libs/libverto/libverto-0.3.1.ebuild
@@ -0,0 +1,51 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit autotools multilib-minimal
+
+DESCRIPTION="Main event loop abstraction library"
+HOMEPAGE="https://github.com/latchset/libverto/"
+SRC_URI="https://github.com/latchset/libverto/releases/download/${PV}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sh ~sparc ~x86"
+IUSE="glib +libev libevent tevent +threads static-libs"
+
+DEPEND="glib? ( >=dev-libs/glib-2.34.3[${MULTILIB_USEDEP}] )
+	libev? ( >=dev-libs/libev-4.15[${MULTILIB_USEDEP}] )
+	libevent? ( >=dev-libs/libevent-2.0.21[${MULTILIB_USEDEP}] )
+	tevent? ( >=sys-libs/tevent-0.9.19[${MULTILIB_USEDEP}] )"
+
+RDEPEND="${DEPEND}"
+
+REQUIRED_USE="|| ( glib libev libevent tevent ) "
+
+DOCS=( AUTHORS ChangeLog NEWS INSTALL README )
+
+src_prepare() {
+	default
+	# known problem uptream with tevent write test.  tevent does not fire a
+	# callback on error, but we explicitly test for this behaviour.  Do not run
+	# tevent tests for now.
+	sed -i -e 's/def HAVE_TEVENT/ 0/' tests/test.h || die
+	eautoreconf
+}
+
+multilib_src_configure() {
+	ECONF_SOURCE="${S}" \
+	econf \
+		$(use_with glib) \
+		$(use_with libev) \
+		$(use_with libevent) \
+		$(use_with tevent) \
+		$(use_with threads pthread) \
+		$(use_enable static-libs static)
+}
+
+multilib_src_install_all() {
+	default
+	use static-libs || find "${ED}" -name '*.la' -delete
+}


             reply	other threads:[~2019-12-13  6:30 UTC|newest]

Thread overview: 32+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2019-12-13  6:30 Eray Aslan [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-01-30  9:26 [gentoo-commits] repo/gentoo:master commit in: dev-libs/libverto/ Eray Aslan
2024-01-29  8:04 Eray Aslan
2024-01-28 21:21 Sam James
2024-01-28 21:21 Sam James
2024-01-28 20:00 Arthur Zamarin
2024-01-28 20:00 Arthur Zamarin
2024-01-28 20:00 Arthur Zamarin
2024-01-28 20:00 Arthur Zamarin
2024-01-28 18:57 Sam James
2024-01-28 18:57 Sam James
2024-01-28 18:37 Eray Aslan
2024-01-28 18:27 Eray Aslan
2022-05-10  1:35 WANG Xuerui
2021-07-25  4:59 Sam James
2021-06-23  4:46 Sam James
2021-06-23  4:44 Sam James
2020-12-27 18:36 Sam James
2020-12-27 12:51 Sergei Trofimovich
2020-12-24 22:06 Sergei Trofimovich
2020-12-24 18:38 Sergei Trofimovich
2020-12-22  0:23 Sam James
2020-12-20 19:19 Sam James
2020-12-20 16:30 Thomas Deutschmann
2020-12-20 14:09 Sam James
2020-12-20 12:34 Sam James
2019-05-05 13:08 Mikle Kolyada
2019-01-05 17:19 Mikle Kolyada
2018-12-15 13:51 Eray Aslan
2018-12-15 13:12 Eray Aslan
2018-12-15 13:11 Eray Aslan
2018-05-12 10:14 Mart Raudsepp

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1576218617.0172960bd597d0e783d4c2034234d5addae1fbef.eras@gentoo \
    --to=eras@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox